// ************************************************************************
//
//   Example of using NamedPipeClient.mqh to send a message asynchronously
//   to a server, which can be running in a different instance of MT4.
//
//   (For most real-life uses, you would normally use something like the 
//   account number as the server/pipe name.)
//
// ************************************************************************

#include <NamedPipeClient.mqh>

#property show_inputs

extern string  ServerName = "PipeTest";
extern string  Message = "Hello!";
extern int     RetryForSeconds = 0;

int start()
{
   if (!IsDllsAllowed()) {
      MessageBox("You need to turn on \'Allow DLL imports\'");
   } else {
      if (SendPipeMessage(ServerName, Message, RetryForSeconds)) {
         MessageBox("Message succeeded (but may not have been processed by the server yet)");
      } else {
         MessageBox("Message failed!");
      }
   }
}